﻿using System.Collections.Generic;
using System.Web.Script.Services;
using System.Web.Services;

namespace Demo
{
    [WebService(Namespace = "http://microsoft.com/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [ScriptService]
    public class MapService : System.Web.Services.WebService
    {
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public List<Pushpin> GetMapData(string WKTBoundsEast, string WKTBoundsWest)
        {
            return PostcodeLogic.GetPostcodesWithinBounds(WKTBoundsEast, WKTBoundsWest);
        }
    }
}

