﻿
Type.registerNamespace("Demo");

Demo.MapArgs = function(divID, center, zoomlevel, style, fixed, mode, scale) {
   /// <summary>
   ///   Virtual Earth Arguments
   /// </summary>
   /// <param name="divID">The ID of the div to create the map</param>
   /// <param name="center">The centre of the initial map view - type VELatLong</param>
   /// <param name="zoomlevel">The initial zoom level 1-19</param>
   /// <param name="style">The map style - type VEMapStyle</param>
   /// <param name="fixed">Is the map fixed = not interactive</param>
   /// <param name="mode">The map mode - type VEMapMode</param>
   /// <param name="scale">The map scale - type VEDistanceUnit </param>
   
    this.DivID = divID;
    this.Center = center;
    this.Zoomlevel = zoomlevel;
    this.Style = style;
    this.Fixed = fixed;
    this.Scale = scale;
}

Demo.MapArgs.registerClass('Demo.MapArgs');

if (typeof(Sys) !== "undefined") Sys.Application.notifyScriptLoaded();


