USE SQLSHOWCASE

--Cria a tabela baseada em colunas esparsas. 
CREATE TABLE Cadastro (Codigo int SPARSE, Nome varchar(50) SPARSE, Sobrenome varchar(50) SPARSE,
                       Cidade varchar(50) SPARSE, UF varchar(2) SPARSE,
                       Conjunto xml column_set FOR ALL_SPARSE_COLUMNS)	--A ultima coluna serve para o XML que preencher as outras
GO

--Insere os registro passando apenas a coluna de "sets", sem a necessidade de listar ou passar as nulas
INSERT Cadastro(Conjunto) VALUES ('<Codigo>1</Codigo><Nome>Marcelo</Nome><Sobrenome>Sincic</Sobrenome>')
INSERT Cadastro(Conjunto) VALUES ('<Codigo>1</Codigo><Nome>Felipe</Nome><Sobrenome>Ferreira</Sobrenome><UF>SC</UF>')
GO

SELECT Codigo, Nome, Sobrenome, Cidade, UF FROM Cadastro		--Lista a tabela
GO
