USE SQLSHOWCASE
GO
--Cria um tipo de dados baseado em tabela
CREATE TYPE DADOS AS TABLE (NOME VARCHAR(30), SOBRENOME VARCHAR(30), CIDADE VARCHAR(50), UF CHAR(2))


CREATE PROCEDURE ListaDados (@DADOS DADOS READONLY)		--SP de teste que lista a tabela
AS
	SELECT * FROM @DADOS
GO

--Cria uma variavel baseado no tipo "Table" e a utiliza como parametros
DECLARE @Temp AS DADOS
INSERT INTO @Temp VALUES('Marcelo', 'Sincic', 'Guarulhos', 'SP')
INSERT INTO @Temp VALUES('Felipe', 'Ferreira', 'So Jos', 'SC')

EXEC ListaDados @Temp
GO
